Bug 478449 - ladspa plugin doesn't find ladspa shared objects because they are in lib64
ladspa plugin doesn't find ladspa shared objects because they are in lib64
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 06:16 EST by paolo borelli
Modified: 2009-01-23 21:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:39:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo borelli 2008-12-30 06:16:13 EST
Fedora ladspa plugins pakages install their .so in /usr/lib64/ladspa on x86_64, however the gstreamer ladspa plugins hardcodes the search path to /usr/lib etc and doesn't look in lib64

(Once you install ladspa plugins you also have to rebuild the gstreamer registry but that's a known GStreamer FAQ)
Comment 1 Warren Togami 2009-01-14 22:38:18 EST
http://kojipkgs.fedoraproject.org/packages/gstreamer-plugins-good/0.10.11/
Please test the latest fc10 build here and report back.
Comment 2 paolo borelli 2009-01-15 03:19:53 EST
Seems to fix the problem: now gst-inspect reports ladspa plugins
Comment 3 Fedora Update System 2009-01-15 13:00:47 EST
gstreamer-plugins-good-0.10.11-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gstreamer-plugins-good-0.10.11-4.fc10
Comment 4 Fedora Update System 2009-01-16 18:47:06 EST
gstreamer-plugins-good-0.10.11-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-good'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0659
Comment 5 Fedora Update System 2009-01-23 21:39:25 EST
gstreamer-plugins-good-0.10.11-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.